version: '3'

services:
  frontend:
    image: node:alpine
    volumes:
      - ./:/home/node/app/
    working_dir: /home/node/app/
    command: sh -c 'npm i --also=dev && npm run build'
  nginx:
    image: nginx:alpine
    restart: always
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf
      - ./public/:/var/www/html/
    #ports:
    #  - "8084:8080"
